# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['p3do']

package_data = \
{'': ['*']}

install_requires = \
['click>=8.1,<9.0', 'python-keycloak>=0.27,<0.28', 'urllib3>=1.26.9,<2.0.0']

entry_points = \
{'console_scripts': ['p3do = p3do.cli:cli']}

setup_kwargs = {
    'name': 'p3do',
    'version': '0.1.3',
    'description': 'CLI utilities for p3d',
    'long_description': '<div align="center">\n\n# p3do - let \'em minions do it\n\np3do (pronounced _pee-three-duh_) is a collection of command-line utilities for\np3d. It allows you to conjure some tedious operations right from your magic little\nfingertips.\n\n<img src="https://raw.githubusercontent.com/swc-friedla/p3do/main/res/p3do-animation.gif" alt="p3do in action" width="75%"/>\n\n<br/>\n\n[Getting started](#getting-started) •\n[Installation](#installation) •\n[Commands](#commands) •\n[Contribute](#contribute)\n\n</div>\n\n## Getting Started\n\nLight a bonfire and whisper _p3do_ in the most conspirative voice available to\nyou. Then start a terminal.\n\np3do is hierarchical and discoverable. If you don\'t know what you are looking\nfor just type `p3do` and follow along the groups and sub-command usage presented\nto you.\n\nCurrently only keycloak utilities (under the `kc` group) are available. How to\nuse each group/sub-command is explained in [Commands](#commands) for each of\nthem.\n\n## Installation\n\nTo install and use `p3do` you need to have `Python 3.8` or later installed. You\ncan get `Python` from your package manager du jour or download and install it\nfrom here https://www.python.org/downloads/ (looking at you Windows. Mac.\nWhyihavetobother. Veryannoyingyouare.).\n\n`p3do` is published to the CheeseShop and hence can be installed with pip\n\n```bash\npip install p3do\n```\n\n`p3do` installs itself as a command. If your `$PATH` is set up correctly you\nwill be able to just invoke `p3do` like so\n\n```bash\np3do --help\n```\n\n## Commands\n\n## Contribute\n\nTODO\n',
    'author': 'Armin Friedl',
    'author_email': 'armin.friedl@semantic-web.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
